import $req from '../request';

/**
 * 家长绑定的孩子
 * @param params 请求参数
 */
export const getParentBindChildApi = (params: anyObj) =>
    $req({
        method: 'get',
        url: '/parentBindChild/list',
        params,
    });
/**
 * 家长绑定的设备
 * @param params 请求参数
 */
export const getParentBindDeviceApi = (params: anyObj) =>
    $req({
        method: 'get',
        url: '/parentBindDevice/list',
        params,
    });
/**
 * 我的孩子-绑定的家长
 * @param params 请求参数
 */
export const parentBindChildApi = (id: string) =>
    $req({
        method: 'get',
        url: `/parentBindChild/${id}`,
    });
/**
 * 我的孩子-解除绑定家长
 * @param params 请求参数
 */
export const childUnBoundParentApi = (data: anyObj) =>
    $req({
        method: 'post',
        url: '/parentBindChild/unBound',
        data,
    });
/**
 * 我的设备-解除绑定
 * @param params 请求参数
 */
export const parentUnBoundDeviceApi = (data: anyObj) =>
    $req({
        method: 'post',
        url: '/parentBindDevice/unBound',
        data,
    });
/**
 * 我的设备-当前登录
 * @param params 请求参数
 */
export const parentDeviceCurrentLoginApi = (id: string) =>
    $req({
        method: 'get',
        url: `/parentBindDevice/${id}`,
    });
/**
 * 设备管理-绑定申请列表
 * @param params 请求参数
 */
export const applyBindInfoListApi = () =>
    $req({
        method: 'get',
        url: '/parentBind/applyInfoList',
    });
/**
 * 设备管理-当前登录用户是否管理员
 * @param params 请求参数
 */
export const userInfoPermitApi = () =>
    $req({
        method: 'get',
        url: '/parentBind/applyInfoPermit',
    });
